﻿(function () {
    'use strict';

    angular.module('soter')
        .controller('UploadController', ['$scope', 'Upload', UploadController])
        .controller('PictureController', ['$scope', 'picture', PictureController]);

    function UploadController($scope, Upload) {
        $scope.upload = function (files) {
            if (files && files.length) {
                for (var i = 0; i < files.length; i++) {
                    var file = files[i];
                    Upload.upload({
                        url: '/v1/upload',
                        file: file
                    }).progress(function (evt) {
                        var progressPercentage = parseInt(100.0 * evt.loaded / evt.total);
                        console.log('progress: ' + progressPercentage + '% ' + evt.config.file.name);
                    }).success(function (data, status, headers, config) {
                        console.log('file ' + config.file.name + 'uploaded. Response: ' + data);
                    });
                }
            }
        };
    }

    function PictureController($scope, picture) {
        $scope.picture = picture;
    }

})();

var UploadCtrlResolve = {};

var PictureCtrlResolve = {
    album: ['$route', 'Picture', function ($route, Picture) {
        var id = $route.current.params.id;
        return Picture.get({id: id}).$promise;
    }]
};

