﻿(function () {
    'use strict';

    angular.module('soter')
        .controller('UserListController', ['$scope', 'users', UserListController])
        .controller('UserController', ['$scope', '$location', 'user', UserCtrl]);

    function UserListController($scope, users) {
        $scope.info = users;
    }


    function UserCtrl($scope, $location, user) {
        $scope.user = user;

        $scope.save = function () {
            $scope.user.$save(function () {
                $scope.toasts.push({Type: 'Success', Message: ''});
                $location.path('/users');
            }, function (data) {
                $scope.toasts.push({Type: 'Danger', Message: data.data});
            });
        };

        $scope.delete = function () {
            $scope.user.$delete(function () {
                $scope.toasts.push({Type: 'Success', Message: ''});
                $location.path('/users');
            }, function (data) {
                $scope.toasts.push({Type: 'Danger', Message: data.data});
            });
        };
        $('#txtName').focus();
    };
})();

var UserCtrlResolve = {
    user: ['$route', 'User', function ($route, User) {
        var id = $route.current.params.id;
        return User.get({id: id}).$promise;
    }]
};

var UserListCtrlResolve = {
    users: ['User', function (User) {
        return User.query({}).$promise;
    }]
};
